# Generated by Django 2.0.6 on 2018-08-18 07:17
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.ACCOUNT_USER_PROXY_MODEL),
        ('packages', '0002_auto_20180818_0715'),
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CurrentBalance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_sms', models.IntegerField(blank=True, default=0, null=True)),
                ('total_mms', models.IntegerField(blank=True, default=0, null=True)),
                ('total_talktime', models.IntegerField(blank=True, default=0, null=True)),
                ('total_email', models.IntegerField(blank=True, default=0, null=True)),
                ('total_attachment', models.IntegerField(blank=True, default=0, null=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE,
                                              to=settings.ACCOUNT_USER_PROXY_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('phone', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_name', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_address_1', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_address_2', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_city', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_state', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_country', models.CharField(blank=True, max_length=255, null=True)),
                ('billing_zip', models.CharField(blank=True, max_length=10, null=True)),
                ('default_card', models.CharField(blank=True, max_length=255, null=True, verbose_name='default card')),
                ('card_last', models.CharField(blank=True, max_length=255, null=True)),
                ('card_type', models.CharField(blank=True, max_length=255, null=True)),
                ('min_bal', models.IntegerField(default=0)),
                ('recharge_to', models.IntegerField(default=10)),
                ('auto_recharge', models.BooleanField(default=False)),
                ('customer_id', models.CharField(blank=True, max_length=255, null=True)),
                ('sus_reason', models.CharField(blank=True, max_length=255, null=True)),
                ('card_expiry', models.DateField(blank=True, null=True)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('trial_end', models.DateTimeField(blank=True, null=True)),
                ('auto_switch_from_trial', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                           to=settings.ACCOUNT_USER_PROXY_MODEL)),
            ],
            options={
                'db_table': 'customers',
            },
        ),
        migrations.CreateModel(
            name='PaymentHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mode', models.CharField(choices=[('1', 'PAYPAL'), ('2', 'Credit CARD')], default=2, max_length=255, verbose_name='Payment Source')),
                ('recharge', models.BooleanField(default=False, verbose_name='Auto Recharged?')),
                ('cost', models.DecimalField(blank=True, decimal_places=2, default=0.0, max_digits=7, null=True)),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('payment_id', models.CharField(blank=True, max_length=255, null=True)),
                ('payer_id', models.CharField(blank=True, max_length=255, null=True)),
                ('completed', models.BooleanField(default=False)),
                ('current', models.BooleanField(default=False)),
                ('package', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='packages.PurchasedPackage')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                           to=settings.ACCOUNT_USER_PROXY_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Payment History',
                'db_table': 'h_payments',
            },
        ),
    ]
