# Generated by Django 2.0.6 on 2018-08-18 07:15

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CompanySocialProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('website', models.CharField(blank=True, max_length=255, null=True)),
                ('bio', models.TextField(blank=True, null=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('founded', models.CharField(blank=True, max_length=15, null=True)),
                ('twitter', models.URLField(blank=True, max_length=255, null=True)),
                ('linkedin', models.URLField(blank=True, max_length=255, null=True)),
                ('facebook', models.URLField(blank=True, max_length=255, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('locale', models.CharField(blank=True, max_length=5, null=True)),
                ('logo', models.URLField(blank=True, null=True)),
                ('updated', models.DateField(blank=True, null=True)),
                ('dataAddOns', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('category', models.CharField(blank=True, max_length=255, null=True)),
                ('employees', models.CharField(blank=True, max_length=20, null=True)),
                ('details', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(blank=True, max_length=20, null=True)),
                ('first_name', models.CharField(blank=True, max_length=150, null=True)),
                ('last_name', models.CharField(blank=True, max_length=150, null=True)),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
                ('company_name', models.CharField(blank=True, max_length=150, null=True)),
                ('designation', models.CharField(blank=True, max_length=150, null=True)),
                ('note', models.TextField(blank=True, null=True)),
                ('call_sid', models.CharField(blank=True, max_length=50, null=True)),
                ('sms_sid', models.CharField(blank=True, max_length=50, null=True)),
                ('lead_type', models.CharField(blank=True, choices=[('1', 'SMS'), ('2', 'MMS'), ('3', 'VOICE'), ('4', 'CSV UPLOAD'), ('5', 'Card Scan'), ('6', 'Manual'), ('7', 'Survey'), ('8', 'System user import')], max_length=10, null=True)),
                ('card_image_uuid', models.CharField(blank=True, default=None, max_length=100, null=True, unique=True)),
                ('card_image', models.ImageField(blank=True, null=True, upload_to='campaigns/cards')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('country', models.CharField(blank=True, max_length=150, null=True)),
                ('state', models.CharField(blank=True, max_length=150, null=True)),
                ('zip', models.CharField(blank=True, max_length=50, null=True)),
                ('card_front_image', models.ImageField(blank=True, null=True, upload_to='campaigns/front_cards')),
                ('card_back_image', models.ImageField(blank=True, null=True, upload_to='campaigns/back_cards')),
            ],
            options={
                'db_table': 'lead_contacts',
            },
        ),
        migrations.CreateModel(
            name='ContactCheckin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('sms', models.TextField(blank=True, null=True)),
                ('delay', models.PositiveIntegerField(default=0, help_text='In seconds')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ContactGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('contacts', models.ManyToManyField(blank=True, related_name='groups', to='contacts.Contact')),
            ],
            options={
                'verbose_name': 'contact group',
                'verbose_name_plural': ' contact groups',
            },
        ),
        migrations.CreateModel(
            name='ContactNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('note', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.Contact')),
            ],
        ),
        migrations.CreateModel(
            name='ContactProperty',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('value', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='properties', to='contacts.Contact')),
            ],
        ),
        migrations.CreateModel(
            name='ContactSocialProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('website', models.CharField(blank=True, max_length=255, null=True)),
                ('bio', models.TextField(blank=True, null=True)),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('gender', models.CharField(blank=True, max_length=15, null=True)),
                ('twitter', models.URLField(blank=True, max_length=255, null=True)),
                ('linkedin', models.URLField(blank=True, max_length=255, null=True)),
                ('facebook', models.URLField(blank=True, max_length=255, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('organization', models.CharField(blank=True, max_length=255, null=True)),
                ('ageRange', models.CharField(blank=True, max_length=15, null=True)),
                ('fullName', models.CharField(blank=True, max_length=255, null=True)),
                ('avatar', models.URLField(blank=True, null=True)),
                ('updated', models.DateField(blank=True, null=True)),
                ('dataAddOns', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('details', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='social_profiles', to='contacts.Contact')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RemoveDomainSearch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('domain_name', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
