# Generated by Django 2.0.6 on 2018-08-18 07:15

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Credit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sms', models.IntegerField(blank=True, default=0, null=True)),
                ('mms', models.IntegerField(blank=True, default=0, null=True)),
                ('talktime', models.IntegerField(blank=True, default=0, null=True)),
                ('email', models.IntegerField(blank=True, default=0, null=True)),
                ('phones', models.IntegerField(blank=True, default=0, null=True)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='PackageType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('sku', models.SlugField(max_length=255)),
                ('type', models.CharField(choices=[('1', 'Recharge'), ('2', 'Registration')], default=1, max_length=1)),
                ('local', models.BooleanField(default=True, verbose_name='Local Numbers?')),
                ('is_active', models.BooleanField(default=False)),
                ('cost', models.DecimalField(blank=True, decimal_places=2, default=0.0, max_digits=7, null=True)),
                ('trial_days', models.PositiveIntegerField(blank=True, default=0)),
                ('sms', models.IntegerField(blank=True, default=0, null=True)),
                ('talktime', models.IntegerField(blank=True, default=0, null=True)),
                ('mms', models.IntegerField(blank=True, default=0, null=True)),
                ('email', models.IntegerField(blank=True, default=0, null=True)),
                ('is_twilio_number_included', models.BooleanField(default=False)),
                ('note', models.TextField(blank=True, null=True)),
                ('social_media', models.BooleanField(default=True)),
                ('campaigns', models.BooleanField(default=True)),
                ('team', models.BooleanField(default=True)),
                ('rover_min', models.BooleanField(default=True)),
                ('recurring', models.BooleanField(default=False)),
                ('teams', models.IntegerField(blank=True, default=0, null=True)),
                ('digital_att', models.IntegerField(blank=True, default=0, null=True)),
                ('phones', models.IntegerField(blank=True, default=0, null=True)),
                ('scanner', models.BooleanField(default=True)),
                ('scanner_cost', models.IntegerField(blank=True, default=0, null=True)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('ordering', models.PositiveIntegerField(db_index=True, default=0, editable=False)),
            ],
            options={
                'db_table': 'packages_typ',
                'ordering': ('ordering',),
            },
        ),
        migrations.CreateModel(
            name='PurchasedPackage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('paid', models.BooleanField(default=True)),
                ('approved', models.BooleanField(default=True)),
                ('recur', models.BooleanField(default=False)),
                ('period', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'ppackage',
            },
        ),
        migrations.CreateModel(
            name='TwilioNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('twilio_number', models.CharField(max_length=15, unique=True)),
                ('twilio_number_sid', models.CharField(blank=True, max_length=35, null=True)),
                ('friendly_name', models.CharField(blank=True, max_length=50, null=True)),
                ('area_code', models.IntegerField(blank=True, null=True)),
                ('country_code', models.CharField(blank=True, max_length=3, null=True)),
                ('sms_enabled', models.BooleanField(default=False)),
                ('mms_enabled', models.BooleanField(default=False)),
                ('voice_enabled', models.BooleanField(default=True)),
                ('voice_url', models.CharField(blank=True, max_length=255, null=True)),
                ('sms_url', models.CharField(blank=True, max_length=255, null=True)),
                ('in_use', models.BooleanField(default=False, verbose_name='Campaign Use')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('is_redirected', models.BooleanField(default=False, verbose_name='Redirected')),
                ('last_updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'twilio_nos',
            },
        ),
        migrations.CreateModel(
            name='Usage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('1', 'SMS'), ('2', 'MMS'), ('3', 'Voice'), ('4', 'Email')], max_length=1)),
                ('amount', models.IntegerField(blank=True, default=0, null=True)),
            ],
        ),
    ]
