# Generated by Django 2.0.6 on 2018-08-28 14:43

from django.db import migrations


def setup_default_packages(apps, schema_editor):
    """Setup the current default/productive packages on CCC"""
    packages = [
        {
            "model": "packages.packagetype",
            "pk": 1,
            "fields": {
                "title": "Basic",
                "sku": "basic",
                "type": "2",
                "local": True,
                "is_active": True,
                "cost": "99.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 100,
                "talktime": 100,
                "mms": 100,
                "email": 250,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 0,
                "digital_att": 500,
                "phones": 1,
                "scanner": True,
                "scanner_cost": 24,
                "creator": None,
                "date_created": "2014-03-16T23:43:27Z",
                "last_updated": "2018-03-15T18:48:38.842Z",
                "ordering": 1
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 2,
            "fields": {
                "title": "Pro",
                "sku": "pro",
                "type": "2",
                "local": True,
                "is_active": True,
                "cost": "199.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 250,
                "talktime": 250,
                "mms": 250,
                "email": 600,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 0,
                "digital_att": 1200,
                "phones": 2,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2014-03-18T03:54:14Z",
                "last_updated": "2016-09-13T18:24:43.112Z",
                "ordering": 2
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 3,
            "fields": {
                "title": "Executive",
                "sku": "executive",
                "type": "2",
                "local": True,
                "is_active": True,
                "cost": "349.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 450,
                "talktime": 450,
                "mms": 450,
                "email": 1500,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 0,
                "digital_att": 2500,
                "phones": 4,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2014-03-18T03:55:40Z",
                "last_updated": "2016-09-13T18:26:33.105Z",
                "ordering": 3
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 4,
            "fields": {
                "title": "Test Drive",
                "sku": "test-drive-2",
                "type": "2",
                "local": True,
                "is_active": True,
                "cost": "1.00",
                "trial_days": 7,
                "package_type_after_trial": 1,
                "sms": 5,
                "talktime": 5,
                "mms": 5,
                "email": 5,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 0,
                "digital_att": 0,
                "phones": 1,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2014-03-24T20:27:32Z",
                "last_updated": "2016-08-09T08:25:59.068Z",
                "ordering": 0
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 5,
            "fields": {
                "title": "Basic (archived)",
                "sku": "basic-3",
                "type": "1",
                "local": True,
                "is_active": False,
                "cost": "99.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 200,
                "talktime": 200,
                "mms": 200,
                "email": 500,
                "is_twilio_number_included": False,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": False,
                "teams": 0,
                "digital_att": 0,
                "phones": 0,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2014-07-17T13:43:08Z",
                "last_updated": "2016-08-08T17:02:36.396Z",
                "ordering": 6
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 6,
            "fields": {
                "title": "Test Drive (Archived)",
                "sku": "test-drive-1",
                "type": "2",
                "local": True,
                "is_active": False,
                "cost": "29.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 20,
                "talktime": 20,
                "mms": 20,
                "email": 100,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 29,
                "digital_att": 500,
                "phones": 1,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2015-07-24T00:51:10Z",
                "last_updated": "2016-08-08T17:02:35.705Z",
                "ordering": 5
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 7,
            "fields": {
                "title": "Basic (Archived)",
                "sku": "basic-2",
                "type": "2",
                "local": True,
                "is_active": False,
                "cost": "99.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 200,
                "talktime": 200,
                "mms": 200,
                "email": 500,
                "is_twilio_number_included": True,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": True,
                "teams": 10,
                "digital_att": 500,
                "phones": 5,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2015-07-24T03:51:10Z",
                "last_updated": "2016-08-08T17:02:35.071Z",
                "ordering": 4
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 9,
            "fields": {
                "title": "SMS ",
                "sku": "sms",
                "type": "1",
                "local": True,
                "is_active": True,
                "cost": "50.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 250,
                "talktime": 0,
                "mms": 0,
                "email": 0,
                "is_twilio_number_included": False,
                "note": "",
                "social_media": False,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": False,
                "teams": 0,
                "digital_att": 0,
                "phones": 0,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2017-01-12T06:54:26.402Z",
                "last_updated": "2017-01-12T15:25:12.635Z",
                "ordering": 7
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 10,
            "fields": {
                "title": "MMS",
                "sku": "mms",
                "type": "1",
                "local": True,
                "is_active": True,
                "cost": "75.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 0,
                "talktime": 0,
                "mms": 250,
                "email": 0,
                "is_twilio_number_included": False,
                "note": "",
                "social_media": False,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": False,
                "teams": 0,
                "digital_att": 0,
                "phones": 0,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2017-01-12T15:32:15.698Z",
                "last_updated": "2017-01-12T15:32:15.698Z",
                "ordering": 8
            }
        },
        {
            "model": "packages.packagetype",
            "pk": 11,
            "fields": {
                "title": "Voice",
                "sku": "voice",
                "type": "1",
                "local": True,
                "is_active": True,
                "cost": "25.00",
                "trial_days": 0,
                "package_type_after_trial": None,
                "sms": 0,
                "talktime": 250,
                "mms": 0,
                "email": 0,
                "is_twilio_number_included": False,
                "note": "",
                "social_media": True,
                "campaigns": True,
                "team": True,
                "rover_min": True,
                "recurring": False,
                "teams": 0,
                "digital_att": 0,
                "phones": 0,
                "scanner": True,
                "scanner_cost": 0,
                "creator": None,
                "date_created": "2017-01-12T15:33:38.059Z",
                "last_updated": "2017-01-12T15:33:38.059Z",
                "ordering": 9
            }
        }
    ]

    PackageTypeModel = apps.get_model('packages', 'PackageType')

    for record in packages:
        package_after_trial = None
        if record['fields']['package_type_after_trial'] is not None:
            package_after_trial = PackageTypeModel.objects.get(pk=record['fields']['package_type_after_trial'])

        entry = {
            "pk": record['pk'],
            "title": record['fields']['title'],
            "sku": record['fields']['sku'],
            "type": record['fields']['type'],
            "local": record['fields']['local'],
            "is_active": record['fields']['is_active'],
            "cost": record['fields']['cost'],
            "trial_days": record['fields']['trial_days'],
            "package_type_after_trial": package_after_trial,
            "sms": record['fields']['sms'],
            "talktime": record['fields']['talktime'],
            "mms": record['fields']['mms'],
            "email": record['fields']['email'],
            "is_twilio_number_included": record['fields']['is_twilio_number_included'],
            "note": record['fields']['note'],
            "social_media": record['fields']['social_media'],
            "campaigns": record['fields']['campaigns'],
            "team": record['fields']['team'],
            "rover_min": record['fields']['rover_min'],
            "recurring": record['fields']['recurring'],
            "teams":record['fields']['teams'],
            "digital_att": record['fields']['digital_att'],
            "phones": record['fields']['phones'],
            "scanner": record['fields']['scanner'],
            "scanner_cost": record['fields']['scanner_cost'],
            "creator": record['fields']['creator'],
            "ordering": record['fields']['ordering'],
        }
        pack = PackageTypeModel(**entry)
        pack.save()


class Migration(migrations.Migration):
    dependencies = [
        ('packages', '0003_auto_20180828_1440'),
    ]

    operations = [
        migrations.RunPython(setup_default_packages)
    ]
