# Generated by Django 2.0.6 on 2018-08-18 07:15

import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contacts', '0001_initial'),
        ('campaigns', '0001_initial'),
        ('packages', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnswerChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('answer', models.CharField(max_length=255)),
                ('code', models.PositiveIntegerField()),
            ],
            options={
                'ordering': ('code',),
            },
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('question', models.TextField()),
                ('delay', models.PositiveIntegerField(default=0, help_text='In seconds')),
                ('question_type', models.CharField(choices=[('mcq', 'Multiple Choice'), ('text', 'Text based response')], default='mcq', max_length=100)),
                ('contact_mapping', models.CharField(blank=True, choices=[('company_name', 'Company Name'), ('designation', 'Designation'), ('email', 'Email'), ('first_name', 'First Name'), ('last_name', 'Last Name'), ('state', 'State'), ('zip', 'Zip'), ('country', 'Country')], max_length=100, null=True, verbose_name='Map response to contact field')),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('title', models.CharField(max_length=255)),
                ('active', models.BooleanField(default=True)),
                ('voice_greeting_original', models.FileField(blank=True, null=True, upload_to='surveys/voice', verbose_name='Voice Greeting')),
                ('voice_greeting_converted', models.FileField(blank=True, null=True, upload_to='surveys/voice')),
                ('greeting_text', models.TextField(blank=True, null=True)),
                ('last_message', models.TextField(blank=True, null=True)),
                ('campaign', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='campaigns.Campaign')),
                ('phone', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='surveys', to='packages.TwilioNumber')),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='SurveyLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('long_url', models.CharField(max_length=250)),
                ('short_url', models.CharField(max_length=250)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contact_links', to='contacts.Contact')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='question_links', to='survey.Question')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SurveyMappedKeywords',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyword', models.CharField(blank=True, max_length=250, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('survey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='survey.Survey')),
            ],
        ),
        migrations.CreateModel(
            name='UserAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='McqAnswer',
            fields=[
                ('useranswer_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='survey.UserAnswer')),
            ],
            options={
                'ordering': ('-created',),
            },
            bases=('survey.useranswer',),
        ),
        migrations.CreateModel(
            name='TextAnswer',
            fields=[
                ('useranswer_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='survey.UserAnswer')),
                ('answer', models.CharField(max_length=1000)),
            ],
            options={
                'ordering': ('-created',),
            },
            bases=('survey.useranswer',),
        ),
        migrations.AddField(
            model_name='useranswer',
            name='contact',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contact_useranswer', to='contacts.Contact'),
        ),
        migrations.AddField(
            model_name='useranswer',
            name='question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='question_useranswer', to='survey.Question'),
        ),
    ]
