# Generated by Django 2.0.6 on 2018-08-18 07:17

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.ACCOUNT_USER_PROXY_MODEL),
        ('campaigns', '0002_auto_20180818_0715'),
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CampaignTemplateDesign',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template_type',
                 models.CharField(choices=[('web', 'Web'), ('email', 'email')], default='email', max_length=25)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('campaign', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='campaigns.Campaign')),
            ],
        ),
        migrations.CreateModel(
            name='EmailAndWebAnalytics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='LandingPageFormData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
        ),
        migrations.CreateModel(
            name='TemplateDesign',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('email_body', models.TextField()),
                ('preview', models.ImageField(blank=True, null=True, upload_to='template_design/images')),
                ('template', models.FileField(blank=True, null=True, upload_to='campaigns/email/templates')),
                ('template_type',
                 models.CharField(choices=[('web', 'Web'), ('email', 'email')], default='email', max_length=25)),
                ('json_data', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default={'page': {
                    'body': {'container': {'style': {'background-color': '#FFFFFF'}}, 'content': {
                        'computedStyle': {'linkColor': '#0068A5', 'messageBackgroundColor': 'transparent',
                                          'messageWidth': '500px'},
                        'style': {'color': '#000000', 'font-family': "Arial, 'Helvetica Neue', Helvetica, sans-serif"}},
                             'type': 'mailup-bee-page-proprerties'}, 'description': '', 'rows': [{'columns': [
                        {'grid-columns': 12,
                         'modules': [{'descriptor': {}, 'type': 'mailup-bee-newsletter-modules-empty'}],
                         'style': {'background-color': 'transparent', 'border-bottom': '0px dotted transparent',
                                   'border-left': '0px dotted transparent', 'border-right': '0px dotted transparent',
                                   'border-top': '0px dotted transparent', 'padding-bottom': '5px',
                                   'padding-left': '0px', 'padding-right': '0px', 'padding-top': '5px'}}],
                        'container': {
                            'style': {
                                'background-color': 'transparent'}},
                        'content': {'style': {
                            'background-color': 'transparent',
                            'color': '#000000',
                            'width': '500px'}},
                        'type': 'one-column-empty'}],
                    'template': {'name': 'template-base', 'type': 'basic', 'version': '0.0.1'}, 'title': ''}})),
                ('is_active', models.BooleanField(default=True)),
                ('is_public', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('user',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.ACCOUNT_USER_PROXY_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='landingpageformdata',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template_design.TemplateDesign'),
        ),
        migrations.AddField(
            model_name='campaigntemplatedesign',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='template_design.TemplateDesign'),
        ),
        migrations.AlterUniqueTogether(
            name='templatedesign',
            unique_together={('name', 'user')},
        ),
        migrations.AlterUniqueTogether(
            name='campaigntemplatedesign',
            unique_together={('template', 'campaign', 'template_type')},
        ),
    ]
