# Generated by Django 2.0.6 on 2018-08-18 07:15

import accounts.models
import django.db.models.deletion
import phonenumber_field.modelfields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.ACCOUNT_USER_PROXY_MODEL),
        ('accounts', '0010_auto_20180814_0038'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivationCode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=255, unique=True)),
                ('expired', models.BooleanField(default=False)),
                ('created_at', models.DateField(auto_now_add=True)),
                ('token_type',
                 models.CharField(choices=[('2', 'PASSWORD_RESET'), ('1', 'ACCOUNT_ACTIVATION'), ('3', 'EMAIL_CHANGE')],
                                  default=1, max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='AuditEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.CharField(max_length=64)),
                ('ip', models.GenericIPAddressField(null=True)),
                ('username', models.CharField(max_length=256, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OTPStore',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('otp', models.CharField(max_length=10)),
                ('phone_no', models.CharField(max_length=15, unique=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ResetCode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=255, unique=True)),
                ('expired', models.BooleanField(default=False)),
                ('created_at', models.DateField(auto_now_add=True)),
                ('token_type',
                 models.CharField(choices=[('2', 'PASSWORD_RESET'), ('1', 'ACCOUNT_ACTIVATION'), ('3', 'EMAIL_CHANGE')],
                                  default=1, max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='UserContactNo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contact_no', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True)),
                ('contact_number_sid', models.CharField(blank=True, max_length=50, null=True)),
                ('is_verified', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('accounts.account',),
            managers=[
                ('objects', accounts.models.AccountManager()),
            ],
        ),
        migrations.AddField(
            model_name='usercontactno',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.ACCOUNT_USER_PROXY_MODEL),
        ),
        migrations.AddField(
            model_name='resetcode',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.ACCOUNT_USER_PROXY_MODEL),
        ),
        migrations.AddField(
            model_name='activationcode',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.ACCOUNT_USER_PROXY_MODEL),
        ),
    ]
